:root {
  --primary-color: #CCD5AE;
  --primary-color-light: #E9EDC9;
  --secondary-color: #FAEDCD;
  --secondary-color-light: #FEFAE0;
  --tertiary-color: #D4A373;
  --white-color: #ffffff;
  --black-color: #000000;
  --logo-image: url("../img/flower.png");
  --menu-button-size: 1.8rem;
  --menu-button-weight: 0.25rem;
  --menu-button-transition-speed: 0.3s;
  --presentation-image: url("../img/plants.jpeg");
  --presentation-text-color: var(--white-color);
  --presentation-font-size: 5rem;
  --item-card-animation-speed: 0.1s;
  --item-card-front-image: url("../img/logo-frame.png");
  --item-card-front-image-bg-color: var(--white-color);
  --item-card-back-bg-color: var(--secondary-color);
  --item-card-back-text-color: var(--black-color);
  --item-card-back-font-size: 2rem;
}

body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  background-color: var(--primary-color-light); /*test*/
}

/*-------------------------------------------HEADER-----------------------------------------------*/

header {
  background-color: var(--primary-color);
  color: var(--white-color);
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem;
}

#header-logo {
  font-size: 2rem;
  font-weight: bold;
  font-family: cursive;
}

/*-------------------------------------------HEADER-MENU-BUTTON-----------------------------------------------*/
#header-menu-button {
  background-color: transparent;
  border: calc(var(--menu-button-weight)*0.8) solid var(--white-color);
  border-radius: 5px;
}

#header-menu-button>#img {
  pointer-events: none;
  position: relative;
  padding: 0;
  margin: calc(var(--menu-button-size)/1.8) 0;
  background-color: var(--white-color);
  height: var(--menu-button-weight);
  width: var(--menu-button-size);
  border-radius: var(--menu-button-weight);
  transition-duration: var(--menu-button-transition-speed);
}

#header-menu-button[data-state="active"]>#img {
  background-color: transparent;
}

#header-menu-button>#img::before {
  content: "";
  position: absolute;
  left: 0;
  top: calc(var(--menu-button-size)/-2.4);
  height: var(--menu-button-weight);
  width: var(--menu-button-size);
  background-color: var(--white-color);
  border-radius: var(--menu-button-weight);
  transition-duration: var(--menu-button-transition-speed);
}

#header-menu-button[data-state="active"]>#img::before {
  transform-origin: calc(var(--menu-button-size)/12);
  transform: rotateZ(45deg);
  width: calc(var(--menu-button-size)*1.345);
}

#header-menu-button>#img::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: calc(var(--menu-button-size)/-2.4);
  height: var(--menu-button-weight);
  width: var(--menu-button-size);
  background-color: var(--white-color);
  border-radius: var(--menu-button-weight);
  transition-duration: var(--menu-button-transition-speed);
}

#header-menu-button[data-state="active"]>#img::after {
  transform-origin: calc(var(--menu-button-size)/12);
  transform: rotateZ(-45deg);
  width: calc(var(--menu-button-size)*1.345);
}

/*--------------------------------------------PRESENTATION-------------------------------------------*/

#presentation {
  background-image: var(--presentation-image);
  background-repeat: no-repeat;
  background-size: cover;
  height: 100vh;
  display: flex;
  justify-content: center;
  -webkit-mask-image:-webkit-gradient(linear, left top, left bottom, from(rgba(0,0,0,1)), to(rgba(0,0,0,0)));
  mask-image: linear-gradient(to bottom, rgba(0,0,0,1), rgba(0,0,0,0));
}

.presentation-text {
  margin-top: 30vh;
  color: var(--presentation-text-color);
  font-size: var(--presentation-font-size);
}

/*-------------------------------------------CREATIONS-----------------------------------------------*/

#creations {
  min-height: 100vh;
}

/*-------------------------------------------ITEM CARD-----------------------------------------------*/

.item-card {
  position: relative;
  aspect-ratio: 1/1.3;
}

.item-card:before,
.item-card:after {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  height: 100%;
  width: 100%;
  transition-duration: var(--item-card-animation-speed);;
}

.item-card::before {
  background-color: var(--item-card-front-image-bg-color);
  background-image: var(--item-card-front-image);
  background-repeat: no-repeat;
  background-size: contain;
  transition-delay: var(--item-card-animation-speed);
}

.item-card:hover:before {
  transition-delay: 0s;
  transform: rotateY(90deg);
}

.item-card::after {
  content: attr(description);
  background-color: var(--item-card-back-bg-color);
  color: var(--item-card-back-text-color);
  font-size: var(--item-card-back-font-size);
  text-align: center;
  transform: rotateY(90deg);
  transition-delay: 0s;
  z-index: -1;
}

.item-card:hover:after {
  transition-delay: var(--item-card-animation-speed);
  transform: rotateY(0deg);
}